NetBSD 1.2 & the MicroVAX II

So I’ve been working on some instructions to install the first NetBSD I could find that would run on SIMH’s MicroVAX II… Think of it as a lineage continuation from the 4.3 BSD to the Net/2. Anyways the 1.2 install proved to be.. .difficult to say the least, however once it’s installed I found a weird snag, that NetBSD 1.2 doesn’t seem to have curses…. And I though curses was one of those things that made any BSD a BSD.

I haven’t put together an install just yet, I figure I’ll have to download ncurses over, and build with that but I just don’t have the time today, so I’m leaving things where they are for now. Although I did manage to get a bunch more other stuff built, which I’ve posted package tapes on my sourceforge page here. And if anyone is that motivated they can always follow the above instructions, and install their own NetBSD 1.2 VAX, although I’m not holding my breath.. lol

Also I noticed that NetBSD 1.2 doesn’t have any fortran, so I built f2c, and managed to get dungeon running. woo!

Yep, it runs Dungeon!

Oh well it’s all good fun from 1996.

This entry was posted in Fortran, netbsd, SIMH, VAX, Zork by neozeed. Bookmark the permalink.
avatar

About neozeed

What is there to tell? I've loved UNIX like things since I was first exposed to QNX in highschool (we had the Unisys ICONS!), and spent the better time of my teenage years trying to get my own UNIX... I should have bought Coherent in retrospect.. Anyways latched onto Linux in 1992, and then got some old BSD admin books and have been hooked on the VAX BSD & other big/ancient things since...!

2 thoughts on “NetBSD 1.2 & the MicroVAX II

  1. Cool. NetBSD 1.2 for i386 works on current versions of VMware, too. It's got lots of fun limitations (hard disk size, memory, …) but I had a great deal of fun with it. Lots of stuff, including ncurses and modern OpenSSH, compiles just fine on it.

  2. I just built ncurses, and lynx on it… It's really odd (well to me) that NetBSD 1.2 doesn't have curses…

    it's a real oddity, and I didn't use NetBSD until 1.3 with Mach/Lites but that was such a long long time ago.. I'll have to download NetBSD 1.0 and see what's what as 0.8 & 0.9 are seemingly long gone…. 😐

Leave a Reply

Your email address will not be published.

Notify me of followup comments via e-mail. You can also subscribe without commenting.